Extending Qt Creator Manual | SubmitFieldWidget

Extending Qt Creator Manual 4.3.0

# SubmitFieldWidget Class

(VcsBase::SubmitFieldWidget)

The SubmitFieldWidget class is a widget for editing submit message fields like "reviewed-by:", "signed-off-by:". More...

Header: | #include <SubmitFieldWidget>

- List of all members, including inherited members

## Properties

- allowDuplicateFields : bool
- fields : QStringList
- hasBrowseButton : bool

## Public Functions

| SubmitFieldWidget(QWidget *parent = 0)
bool | allowDuplicateFields() const
QCompleter * | completer() const
QString | fieldValue(int pos) const
QString | fieldValues() const
QStringList | fields() const
bool | hasBrowseButton() const
void | setAllowDuplicateFields(bool)
void | setCompleter(QCompleter *c)
void | setFieldValue(int pos, const QString &value)
void | setFields(const QStringList &)
void | setHasBrowseButton(bool d)

## Signals

void | browseButtonClicked(int pos, const QString &field)

## Detailed Description

The SubmitFieldWidget class is a widget for editing submit message fields like "reviewed-by:", "signed-off-by:".

The widget displays the fields in a vertical row of combo boxes or line edit fields that is modeled after the target address controls of mail clients. When choosing a different field in the combo box, a new row is opened if text has been entered for the current field. Optionally, a Browse button and completer can be added.

## Property Documentation

### allowDuplicateFields : bool

Access functions:

bool | allowDuplicateFields() const
void | setAllowDuplicateFields(bool)

### fields : QStringList

Access functions:

QStringList | fields() const
void | setFields(const QStringList &)

### hasBrowseButton : bool

Access functions:

bool | hasBrowseButton() const
void | setHasBrowseButton(bool d)

## Member Function Documentation

### SubmitFieldWidget::SubmitFieldWidget(QWidget *parent = 0)

Default constructs an instance of SubmitFieldWidget.

### `[signal]` void SubmitFieldWidget::browseButtonClicked(int pos, const QString &field)

### QCompleter *SubmitFieldWidget::completer() const

See also setCompleter().

### QString SubmitFieldWidget::fieldValue(int pos) const

See also setFieldValue().

### QString SubmitFieldWidget::fieldValues() const

### void SubmitFieldWidget::setCompleter(QCompleter *c)

See also completer().

### void SubmitFieldWidget::setFieldValue(int pos, const QString &value)

See also fieldValue().